#{extends 'borderNG.html' /}
#{set 'titleHead'} Pembayaran #{/set}

<div class="content">
<ol class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{BerandaCtr.nonLelang()}">Paket Non Tender PPK</a></li>
    <li><a href="@{kontrak.SppbjPlCtr.listSppbjPl(kontrakx.lls_id)}">e-Kontrak</a></li>
    <li class="active">Pembayaran</li>
</ol>
#{alert /}
#{form @kontrak.PembayaranPlCtr.simpanBapPl(kontrakx.kontrak_id), name:'formBAPembayaran', enctype:"multipart/form-data", method:'POST'}
    <div class="bs-callout bs-callout-info"><strong>Informasi Paket</strong></div>
    <table class="table table-sm">
        <tr >
            <td width="250px">Kode Non Tender </td>
            <td>${pl_detil?.lls_id}</td>
        </tr>
        <tr>
            <td>Nama Non Tender </td>
            <td>${pl_detil?.pkt_nama}</td>
        </tr>
        <tr>
            <td>No. Surat Perjanjian </td>
            <td>${kontrakx?.kontrak_no}</td>
        </tr>
        <tr>
            <td>Tanggal Surat Perjanjian</td>
            <td>${kontrakx?.kontrak_tanggal?.formatDate()}</td>
        </tr>
        #{if kontrakx.kontrak_tanggal == null}
        <tr>
            <td>Tanggal SPK</td>
            <td>${kontrakx?.kontrak_tanggal?.formatDate()}</td>
        </tr>
        #{/if}
        <tr>
            <td>Nilai kontrak</td>
            <td>${kontrakx?.kontrak_nilai?.rupiah()}</td>
        </tr>
    </table>
    <div class="bs-callout bs-callout-info"><strong>Pihak Pertama</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px">Nama PPK</td>
            <td>${kontrakx?.ppk?.pegawai?.peg_nama}</td>
        </tr>
        <tr>
            <td>NIP PPK</td>
            <td>${kontrakx?.ppk?.pegawai?.peg_nip}</td>
        </tr>
        <tr>
            <td>Jabatan PPK</td>
            <td>${kontrakx?.ppk?.ppk_pembuat_sk}</td>
        </tr>
        <tr>
            <td>No. SK PPK</td>
            <td>${kontrakx?.ppk?.ppk_nomor_sk}</td>
        </tr>
        <tr>
            <td>Nama Satuan Kerja </td>
            <td>${pl_detil?.nama_satker}</td>
        </tr>
        <tr>
            <td>Alamat Satuan</td>
            <td></td>
        </tr>
        <tr>
            <td>K/L/PD </td>
            <td>${pl_detil?.nama_instansi}</td>
        </tr>
        <tr>
            <td >Jabatan Penandatangan SK <span class="warning"> *</span></td>
            <td>
                <input name="bap.jabatan_penandatangan_sk"  value="${flash.contains('bap.jabatan_penandatangan_sk')?flash['bap.jabatan_penandatangan_sk']:bapx?.jabatan_penandatangan_sk}" type="text" class="form-control #{validate 'bap.jabatan_penandatangan_sk' /}" />
                <div class="invalid-feedback">#{error 'bap.jabatan_penandatangan_sk' /}</div>
            </td>
        </tr>
    </table>
    <div class="bs-callout bs-callout-info"><strong>Pihak Kedua</strong></div>
    <table class="table table-sm">
        <tr>
            <td width="250px">Nama Penyedia</td>
            <td>${kontrakx?.rekanan?.rkn_nama}</td>
        </tr>
        <tr>
            <td>Alamat Penyedia</td>
            <td>${kontrakx?.rekanan?.rkn_alamat}</td>
        </tr>
        <tr>
            <td>Wakil Sah Penyedia <span class="warning"> *</span></td>
            <td>
                <input name="bap.kontrak_wakil_penyedia"  value="${flash.contains('bap.kontrak_wakil_penyedia')?flash['bap.kontrak_wakil_penyedia']:bapx?.kontrak_wakil_penyedia}" type="text" class="form-control #{validate 'bap.kontrak_wakil_penyedia' /}" />
                <div class="invalid-feedback">#{error 'bap.kontrak_wakil_penyedia' /}</div>
            </td>
        </tr>
        <tr>
            <td>Jabatan Wakil Penyedia <span class="warning"> *</span></td>
            <td>
                <input name="bap.kontrak_jabatan_wakil"  value="${flash.contains('bap.kontrak_jabatan_wakil')?flash['bap.kontrak_jabatan_wakil']:bapx?.kontrak_jabatan_wakil}" type="text" class="form-control #{validate 'bap.kontrak_jabatan_wakil' /}" />
                <div class="invalid-feedback">#{error 'bap.kontrak_jabatan_wakil' /}</div>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>Form Berita Acara Serah Terima (BAST)</strong></div>
    <table class="table table-sm">
        <tr >
            #{if bapx?.bap_id!=null}
                <input type="hidden" name="bap.bap_id" value="${bapx.bap_id}">
            #{/if}
            <td width="250">No. BAST<span class="warning"> *</span></td>
            <td>
                <input type="text" class="form-control  #{validate 'bapx.bast_no'/}"  name="bap.bast_no" value="${flash.contains('bap.bast_no')?flash['bap.bast_no']:bapx?.bast_no}" />
                <div class="invalid-feedback">#{error 'bapx.bast_no' /}</div>
            </td>
        </tr>

        <tr >
            <td>Tanggal BAST<span class="warning"> *</span> : </td>
            <td>
                <div class="input-group date width-normal datepicker">
                    <input name="bap.bast_tgl"  value="${flash.contains('bap.bast_tgl')?flash['bap.bast_tgl']:bapx?.bast_tgl?.toDatepicker()}" type="text"
                           class="form-control datepicker #{validate 'bapx.bast_tgl'/}" />
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <div class="invalid-feedback">#{error 'bapx.bast_tgl' /}</div>
                </div>
            </td>
        </tr>
    </table>


    <div class="bs-callout bs-callout-info"><strong>Form Berita Acara Pembayaran (BAP)</strong></div>
    <table class="table border tables1">
        <tr >
            <td width="250">No. BAP<span class="warning"> *</span> : </td>
            <td>
                <input type="text" class="form-control  #{validate 'bapx.bap_no'/}"  name="bap.bap_no" value="${flash.contains('bap.bap_no')?flash['bap.bap_no']:bapx?.bap_no}" />
                <div class="invalid-feedback">#{error 'bapx.bap_no' /}</div>
            </td>
        </tr>

        <tr >
            <td>Tanggal BAP<span class="warning"> *</span> : </td>
            <td>
                <div class=" input-group date width-normal datepicker">
                    <input name="bap.bap_tgl"  value="${flash.contains('bap.bap_tgl')?flash['bap.bap_tgl']:bapx?.bap_tgl?.toDatepicker()}" type="text"
                           class="form-control datepicker #{validate 'bapx.bap_tgl'/}" />
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <div class="invalid-feedback">#{error 'bapx.bap_tgl' /}</div>
                </div>

            </td>
        </tr>

        <tr >
            <td>Besar pembayaran<span class="warning"> *</span> </td>
            <td>
                #{if sskk?.sekaligus}
                    ${bapx?.besar_pembayaran==null ? kontrakx?.kontrak_nilai?.rupiah() : bapx?.besar_pembayaran?.rupiah()}
                    <input name="bap.besar_pembayaran"  value="${bapx?.besar_pembayaran}" type="hidden" />
                #{/if}
                #{else}
                    <input id="hargaFinal" name="bap.besar_pembayaran"  value="${bapx?.besar_pembayaran}" type="text" class="form-control #{validate 'bapx.besar_pembayaran'/}" />
                    <div class="invalid-feedback">#{error 'bapx.besar_pembayaran' /}</div>
                    <div class="bs-callout bs-callout-warning">
                        Gunakan koma untuk pemisah desimal.
                    </div>
                #{/else}

            </td>
        </tr>

        #{if bapx?.bast_tgl!=null}
            <tr >
                <td>&{'kontrakpl.dcbast'}</td>
                <td><div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
                        <i class="fa fa-plus-circle"></i>
                        <span>Upload</span>
                        <input id="fileuploadBast" type="file" name="file" />
                    </div>
                    <div id="progress-bast" class="progress" style="display: none;">
                        <div class="progress-bar progress-bar-success"></div>
                    </div>
                    <div id="alert-upload-bast"></div>

                    <table class="table table-sm table-striped" id="filesBast">
                        <input type="hidden" id="id_bast_attacment" name="bap.cetak_bast_attachment" value="${bapx?.cetak_bast_attachment}" />
                        <thead><th>&{'kontrakpl.nfile'}</th><th>&{'kontrakpl.tup'}</th><th>&{'kontrakpl.aksi'}</th></thead>
                        <tbody>
                            #{list items:bapx?.dokumenBast, as:'dok'}
                            <tr>
                                <td>#{download dok/}</td>
                                <td>${dok?.blb_date_time?.formatDateTime()}</td>
                                <td><a href="javascript:void(0)" title="Hapus" class="removeDokBast" versi="${dok.blb_versi}">
                                    <i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </td>
            </tr>
        #{/if}
        #{if bapx?.bap_tgl!=null}
            <tr >
                <td>&{'kontrakpl.dcbap'}</td>
                <td>
                    <div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
                        <i class="fa fa-plus-circle"></i>
                        <span>Upload</span>
                        <input id="fileuploadBap" type="file" name="file" />
                    </div>
                    <div id="progress-bap" class="progress" style="display: none;">
                        <div class="progress-bar progress-bar-success"></div>
                    </div>
                    <div id="alert-upload-bap"></div>
                    <input type="hidden" id="id_bap_attacment" name="bap.cetak_bap_attachment" value="${bapx?.cetak_bap_attachment}" />
                    <table class="table table-sm table-striped" id="filesBap">
                        <thead><th>Nama File</th><th>Tanggal Upload</th><th>Aksi</th></thead>
                        <tbody>
                            #{list items:bapx?.dokumenBap, as:'dok'}
                            <tr>
                                <td>#{download dok/}</td>
                                <td>${dok?.blb_date_time?.formatDateTime()}</td>
                                <td><a href="javascript:void(0)" title="Hapus" class="removeDokBap" versi="${dok.blb_versi}">
                                    <i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </td>
            </tr>
        #{/if}
        <tr>
            <td colspan="2">
                <button type="submit" name="simpan" class="btn btn-success"> <i class="fa fa-save"></i> &{'kontrakpl.simpan'} </button>
                #{if bapx?.bap_id!=null}
                    <a href="@{nonlelang.KontrakPlCtr.cetakBastPl(bapx.bap_id)}" class="btn btn-primary" target="_blank"><i class="fa fa-print"></i>&{'kontrakpl.cbast'}</a>
                    <a href="@{nonlelang.KontrakPlCtr.cetakBapPl(bapx.bap_id)}" class="btn btn-primary" target="_blank"><i class="fa fa-print"></i> &{'kontrakpl.cbap'}</a>
                #{/if}
                #{if tipePembayaran.equals('Sekaligus')}
                <a href="@{nonlelang.KontrakPlCtr.listSppbjPl(kontrakx.lls_id)}" type="submit" name="simpan" class="btn btn-default">  &{'kontrakpl.kembali'}</button>
                #{/if}
                #{else}
                <a href="@{nonlelang.KontrakPlCtr.daftarPembayaranPl(kontrakx.kontrak_id)}" type="submit" name="simpan" class="btn btn-default">  &{'kontrakpl.kembali'}</button>
                #{/else}
            </td>
        </tr>
    </table>
#{/form}

    <div class="bs-callout bs-callout-warning">
        - &{'kontrakpl.tipefile'} <strong><i> ${allowedExt} </i></strong> &{'kontrakpl.ybup'}.
    </div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>

<script type="text/javascript">
    //karena di format util tidak ada fungsi format tanpa Rp dengan delimiter x.xxx.xxx,xx, sementara pake fungsi ini
    $( document ).ready(function() {
        #{if !sskk?.sekaligus}
	    hargaFinal = new AutoNumeric("[name='bap.besar_pembayaran']", { digitGroupSeparator: '.', decimalCharacter: ',' });
	    #{/if}
        var tgl = '${todayDate}';
        $(".form-control.tgl").focus(function (ev) {
            var vval = $(this).val();
            if(vval == ""){
                $(this).val(tgl);
                $(this).keyup();
            }
        });

        $(".form-control.tgl").focusout(function (ev) {
            var vval = $(this).val();
            if(vval == ""){
                $(this).val(tgl);
                $(this).keyup();
            }
        });
    });

    $(document).on('click', '.removeBtn', function(){
        $(this).parent().parent().remove()
    });

    $("[name='bap.pphp_nip']")
            .keypress(function (e) {
                if (e.which > 31  && (e.which < 48 || e.which > 57)) {
                    return false;
                }
            });

    function formatCurrency(num) {
        num = num.toString().replace(/\$|\,/g, '');
        if (isNaN(num)) {
            num = "0";
        }

        sign = (num == (num = Math.abs(num)));
        num = Math.floor(num * 100 + 0.50000000001);
        cents = num % 100;
        num = Math.floor(num / 100).toString();

        if (cents < 100) {
            cents = "0" + cents;
        }

        for (var i = 0; i < Math.floor((num.length - (1+i)) / 3); i++) {
            num = num.substring(0, num.length - (4*i+3)) + '.' + num.substring(num.length - (4*i+3));
        }

        return (((sign) ? '' : '-') + num + ',' + cents);
    }

        #{if bapx?.bast_tgl!=null}
        $(document).on('click', '#fileuploadBast', function(){
            var url = '@{kontrak.PembayaranPlCtr.uploadDokBast(bapx?.bap_id)}';
            $('#fileuploadBast').fileupload({
                url: url,
                dataType: 'json',
                acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
                done: function (e, data) {
                    $('#progress-bast').hide();
                    if (data.result.success) {
                        $.each(data.result.files, function (index, file) {
                            var upload_date = file.upload_date;
                            var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
                                    '<a href="javascript:void(0)" class="removeDokBast" versi="' + file.versi + '">' +
                                    '<i class="fa fa-trash-o" ></i></a></td>';
                            $('#id_bast_attacment').val(file.id);
                            $('<tr/>').html(content).appendTo('#filesBast');
                        });
                        $('#alert-upload-bast').html('<div class="alert alert-success" role="alert">&{'flash.fbd'}</div>').show();
                    } else {
                        $('#alert-upload-bast').attr('class', 'alert alert-danger fade in').html(data.result.message).show();
                    }
                },
                progressall: function (e, data) {
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#progress-bast').show();
                    $('#progress-bast .progress-bar').css(
                            'width',
                            progress + '%'
                    );
                }
            }).on('fileuploadprocessalways', function (e, data) {
                var file = data.files[data.index];
                if (data.files.error && file.error) {
                    var msg = file.name+' - '+file.error
                    $('#alert-upload-bast').attr('class', 'alert alert-danger fade in').html(msg).show()
                }
            }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
        });

        $(document).on('click', '.removeDokBast', function(){
            var versi = $(this).attr('versi')
            var parent = $(this).parent()
            var source  = #{jsRoute @kontrak.PembayaranPlCtr.hapusDokBast(bapx?.bap_id) /};
            $.ajax({
                type: 'POST',
                url: source.url(),
                data : {'versi': versi},
                success : function(){
                    $('#alert-upload-bast').html('<div class="alert alert-success fade in" role="alert">&{'flash.file_telah_terhapus'}</div>').show();
                    parent.parent().remove()
                },
                error : function(){
                    $('#alert-upload-bast').html('<div class="alert alert-danger fade in" role="alert">File tidak bisa dihapus</div>').show();
                }
            })
        });
        #{/if}

        #{if bapx?.bap_tgl!=null}
        $(document).on('click', '#fileuploadBap', function(){
            var url = '@{kontrak.PembayaranPlCtr.uploadDokBap(bapx?.bap_id)}';
            $('#fileuploadBap').fileupload({
                url: url,
                dataType: 'json',
                acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
                done: function (e, data) {
                    $('#progress-bap').hide();
                    if (data.result.success) {
                        $.each(data.result.files, function (index, file) {
                            var upload_date = file.upload_date;
                            var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
                                    '<a href="javascript:void(0)" class="removeDokBap" versi="' + file.versi + '">' +
                                    '<i class="fa fa-trash-o" ></i></a></td>';
                            $('#id_bap_attacment').val(file.id);
                            $('<tr/>').html(content).appendTo('#filesBap');
                        });
                        $('#alert-upload-bap').html('<div class="alert alert-success" role="alert">&{'flash.fbd'}</div>').show();
                    } else {
                        $('#alert-upload-bap').attr('class', 'alert alert-danger fade in').html(data.result.message).show();
                    }
                },
                progressall: function (e, data) {
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#progress-bap').show();
                    $('#progress-bap .progress-bar').css(
                            'width',
                            progress + '%'
                    );
                }
            }).on('fileuploadprocessalways', function (e, data) {
                var file = data.files[data.index];
                if (data.files.error && file.error) {
                    var msg = file.name+' - '+file.error
                    $('#alert-upload-bap').attr('class', 'alert alert-danger fade in').html(msg).show()
                }
            }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
        });

        $(document).on('click', '.removeDokBap', function(){
            var versi = $(this).attr('versi')
            var parent = $(this).parent()
            var source  = #{jsRoute @kontrak.PembayaranPlCtr.hapusDokBap(bapx?.bap_id) /};
            $.ajax({
                type: 'POST',
                url: source.url(),
                data : {'versi': versi},
                success : function(){
                    $('#alert-upload-bap').html('<div class="alert alert-success fade in" role="alert">&{'flash.file_telah_terhapus'}</div>').show();
                    parent.parent().remove()
                },
                error : function(){
                    $('#alert-upload-bap').html('<div class="alert alert-danger fade in" role="alert">File tidak bisa dihapus</div>').show();
                }
            })
        });
        #{/if}

</script>
#{/set}


 